kr.co.hanwha.hifive.adapter

## Class MainHomeRequestListAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
  - - kr.co.hanwha.hifive.adapter.MainHomeRequestListAdapter

All Implemented Interfaces:
  MainHomeRequestListContract.Model, MainHomeRequestListContract.View

    public class MainHomeRequestListAdapter
    extends android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
    implements MainHomeRequestListContract.Model, MainHomeRequestListContract.View

Created by sanghoonkwon on 2018. 1. 25..

### Field Summary

Fields
`private android.content.Context` `mContext`
`private java.util.ArrayList<TaskListViewHolderData>` `mListData`
`private MainHomeContract.OnMainHomeListListener` `mOnMainHomeListListener`
`private int` `ZERO`

### Constructor Summary

Constructors
Constructor and Description
`MainHomeRequestListAdapter(android.content.Context context, MainHomeContract.OnMainHomeListListener onMainHomeListListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItems(java.util.ArrayList<TaskListData> evaluationListData, java.util.ArrayList<TaskListData> requestedListData)` Model
`int` `getItemCount()`
`int` `getItemViewType(int position)` Adapter
`void` `notifyDataAll()` View
`void` `notifyDataRangeChanged(int positionStart, int itemCount)`
`void` `onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder, int position)`
`android.support.v7.widget.RecyclerView.ViewHolder` `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`

### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

`bindViewHolder, createViewHolder, getItemId, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mContext

    private android.content.Context mContext

#### ZERO

    private final int ZERO

See Also:
  Constant Field Values

#### mOnMainHomeListListener

    private MainHomeContract.OnMainHomeListListener mOnMainHomeListListener

#### mListData

    private java.util.ArrayList<TaskListViewHolderData> mListData

### Constructor Detail

#### MainHomeRequestListAdapter

    public MainHomeRequestListAdapter(@NonNull
                                      android.content.Context context,
                                      @NonNull
                                      MainHomeContract.OnMainHomeListListener onMainHomeListListener)

### Method Detail

#### notifyDataAll

    public void notifyDataAll()

View

Specified by:
  `notifyDataAll` in interface `MainHomeRequestListContract.View`

#### notifyDataRangeChanged

    public void notifyDataRangeChanged(int positionStart,
                                       int itemCount)

Specified by:
  `notifyDataRangeChanged` in interface `MainHomeRequestListContract.View`

#### addItems

    public void addItems(java.util.ArrayList<TaskListData> evaluationListData,
                         java.util.ArrayList<TaskListData> requestedListData)

Model

Specified by:
  `addItems` in interface `MainHomeRequestListContract.Model`

#### getItemViewType

    public int getItemViewType(int position)

Adapter

Overrides:
  `getItemViewType` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### onCreateViewHolder

    public android.support.v7.widget.RecyclerView.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                                int viewType)

Specified by:
  `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### onBindViewHolder

    public void onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder,
                                 int position)

Specified by:
  `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### getItemCount

    public int getItemCount()

Specified by:
  `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`